Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.testing.junit.functional
Class FunctionalTestClassTestSuite

    java.lang.Object
      junit.framework.TestSuite
          org.hibernate.testing.junit.functional.FunctionalTestClassTestSuite

All Implemented Interfaces:
  junit.framework.Test

    public class FunctionalTestClassTestSuite

extends junit.framework.TestSuite

A specialized `TestSuite` implementation intended for use as an aggregate for a single test class specifically for the purpose of maintaing a single `SessionFactory` for executings all tests defined as part of the given functional test class.

Author:
  Steve Ebersole

Constructor Summary
`FunctionalTestClassTestSuite(Class testClass)`
`FunctionalTestClassTestSuite(Class testClass, String name)`

Method Summary
`void` | `addTest(junit.framework.Test test)`
`void` | `run(junit.framework.TestResult testResult)`
`void` | `runTest(junit.framework.Test test, junit.framework.TestResult testResult)`
`protected void` | `setUp()`
`protected void` | `tearDown()`

Methods inherited from class junit.framework.TestSuite
`addTestSuite, countTestCases, createTest, getName, getTestConstructor, setName, testAt, testCount, tests, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FunctionalTestClassTestSuite

    public FunctionalTestClassTestSuite(Class testClass,
                                        String name)

### FunctionalTestClassTestSuite

    public FunctionalTestClassTestSuite(Class testClass)

Method Detail

### addTest

    public void addTest(junit.framework.Test test)

  Overrides:
    `addTest` in class `junit.framework.TestSuite`

### run

    public void run(junit.framework.TestResult testResult)

  Specified by:
    `run` in interface `junit.framework.Test`
  Overrides:
    `run` in class `junit.framework.TestSuite`

### runTest

    public void runTest(junit.framework.Test test,
                        junit.framework.TestResult testResult)

  Overrides:
    `runTest` in class `junit.framework.TestSuite`

### setUp

    protected void setUp()

### tearDown

    protected void tearDown()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.